package cz.muni.makub.model;

/**
 * JavaBean pro údaje o knize. Ukazuje různé typy položek - řetězce, boolean, číslo, výčtový typ.
 */
public class Book {

    //výčtový typ
    public enum Color { GREEN, BLUE, RED, ORANGE, WHITE, OTHER }

    private int id;
    private String author;
    private String name;
    private boolean paperback;
    private Color color;
    private int price;

    public Book() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
    }

    public int getPrice() {
        return price;
    }

    public void setPrice(int price) {
        this.price = price;
    }

    public boolean isPaperback() {
        return paperback;
    }

    public void setPaperback(boolean paperback) {
        this.paperback = paperback;
    }

    @Override
    public String toString() {
        return "Book{" +
                "id=" + id +
                ", author='" + author + '\'' +
                ", name='" + name + '\'' +
                ", paperback=" + paperback +
                ", color=" + color +
                ", price=" + price +
                '}';
    }
}
